# URLS FRONT
# NO CONNEXION NEEDED
# =====================
# Landing page / Page d'accueil
home:
  path: /
  controller: App\Controller\NavigationController::index

# A propos
about:
  path: /qui-sommes-nous
  controller: App\Controller\NavigationController::about

# A propos
free-numbers:
  path: /numeros-verts
  controller: App\Controller\NavigationController::numerosVerts

# Formulaire de signalement d'un cas
signalement-form:
  path: /signalement
  controller: App\Controller\NavigationController::signalerCas
  methods: GET

bravo:
  path: /bravo
  controller: App\Controller\CasController::bravo
  methods: GET

getRegionsByPays:
  path: /list-regions-by-pays
  controller: App\Controller\PaysController::getRegionByPays
  methods: POST

# Enregistrement d'un signalement en BDD
signalement-submit:
  path: /signalement
  controller: App\Controller\CasController::enregisrer
  methods: POST

# formulaire login à notre back office
# login:
# path: /secure/login
# controller: App\Controller\NavigationController::connexion
# methods: GET

# Soumission formulaire de login
# login-submit:
# path: /secure/login
# controller: App\Controller\UserController::connexion
# methods: POST

# URLS BACK OFFICE
# USER NEED TO LOG-IN FIRST
# ==========================
#home-admin:
# path: /secure/gestion
# controller: App\Controller\SecurityController::accueil
# methods: GET

#logout:
#  path: /secure/logout
#  controller: App\Controller\UserController::logout
#  methods: GET

profil:
  path: /secure/mon-profil
  controller: App\Controller\SecurityController::profile
  methods: GET

profil-post:
  path: /secure/mon-profil
  controller: App\Controller\SecurityController::profilePost
  methods: POST

changer-password:
  path: /secure/changer-mot-de-passe
  controller: App\Controller\SecurityController::changePassword
  methods: GET

changer-password-post:
  path: /secure/changer-mot-de-passe
  controller: App\Controller\SecurityController::changePasswordPost
  methods: POST

cas-nouveaux:
  path: /secure/gestion/nouveaux-cas
  controller: App\Controller\CasController::casNouveaux
  methods: GET

cas-en-cours:
  path: /secure/gestion/cas-en-cours
  controller: App\Controller\CasController::casEnCours
  methods: GET

cas-termines:
  path: /secure/gestion/cas-termines
  controller: App\Controller\CasController::casTermines
  methods: GET

cas-references:
  path: /secure/gestion/cas-references
  controller: App\Controller\CasController::casReferences
  methods: GET

cas-ajout:
  path: /secure/gestion/ajouter-cas
  controller: App\Controller\CasController::ajouterCas
  methods: GET

signalement_interne:
  path: /secure/gestion/ajouter-cas
  controller: App\Controller\CasController::ajouterCasPost
  methods: POST

details-cas:
  path: /secure/gestion/details/cas/{id}
  controller: App\Controller\CasController::detailsCas
  methods: GET
  requirements:
    id: '\d+'